Subject: bug#32550: 26.1; minibuffer-electric-default-mode breaks greying out find-file prefix

From: Allen Li <[email-masked]>
Date: Wed, 29 Aug 2018 12:45:03 -0700

On Mon, Aug 27, 2018 at 11:05 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Allen Li <[email-masked]>
> > Date: Mon, 27 Aug 2018 16:53:18 -0700
> >
> > Reproduce:
> >
> > 1. emacs -Q
> > 2. M-x minibuffer-electric-default-mode RET
> > 3. C-x C-f /ssh:some-host:
> >
> > Expected:
> >
> > The ~/ prepopulated in the minibuffer should be greyed out.
> >
> > Actual:
> >
> > On typing the second :, the ~/ stops being greyed out.
>
> I seem to be unable to reproduce this here.  Is it important for
> some-host to name an existing address?

No, I had to play with it to figure out the right conditions, you need
to invoke find-file twice:

1. emacs -Q
2. M-x minibuffer-electric-default-mode RET
3. C-x C-f /ssh:some-host: C-g
3. C-x C-f /ssh:some-host:

Expected:

The ~/ prepopulated in the minibuffer should be greyed out.

Actual:

On typing the second :, the ~/ stops being greyed out.

I can reproduce this consistently now, can you try again?